Skip to main content
`Ctrl`+`K`

# EPSSetArbitrarySelectionContextDestroy

Set a context destroy function for the context used in the arbitrary selection.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetArbitrarySelectionContextDestroy(EPS eps,PetscCtxDestroyFn *destroy)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- destroy - context destroy function, see `PetscCtxDestroyFn` for its calling sequence

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetArbitrarySelection()`

## Level

advanced

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages